Import external test assignment results
Retrieves and stores the results of the external test assignment:
- Applies to ‘test-out’, ‘placement’, and ‘unit-test’ lessons.
This logic changes depending on the stored “toolProvider” of the lesson:
- For “edulastic”:
- If the lesson is already finalized, no data import is performed.
- If the lesson is not finalized, this will start populating the test and question results with available data, including question scores and feedback. The test will then be deemed finalized when all questions have been answered and the test grade is “GRADED”.
- For “mastery-track”:
- If the lesson is already finalized, no data import is performed.
- If the lesson is not finalized and powerpath detects the write-back of results was done, this will process the available test and question results data, including question scores and feedback. The test will then be deemed finalized when the scoreStatus is “fully graded” and the masteryTrackProcessed flag is set to ‘true’.
Will fail if:
- The lesson is not an external “test-out”, “placement”, or “unit-test”, or the student does not exist
- Credentials for data consumption are not available in the test result of this student (meaning a previous test assignment was not made)
- Any other problem on the Edulastic or MasteryTrack API being used that may happen
The actual test results can be retrieved by using the “getAssessmentProgress” endpoint.
Notice this may perform a course enrollment for the student if the lesson is a placement test or test-out, and the respective subject and grade are mapped to the Subject Track with a valid course set. The enrollemnt can be skipped by setting the “skipCourseEnrollment” flag in the makeExternalTestAssignment request.
A ‘Lesson’ in this context is a ComponentResource object which has a Resource object with lessonType = “test-out”, “placement”, or “unit-test” associated with it.
Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The sourcedId of the student
The sourcedId of the lesson (ComponentResource)
The name of the application
Response
Success
test-out, placement, unit-test The sourcedId of the lesson (ComponentResource)
The tool provider for the lesson (ComponentResource)
Whether the Test has been finalized in the current attempt
The attempt number
The credentials for accessing the assigned test on external tool
The id of the assignment on external tool for results retrieval
The id of the class on external tool for results retrieval (may be empty for some tools)
The URL of the test on external tool
The id of the test on external tool (may be assignment ID for some tools)